/* Reset en body */
* { margin:0; padding:0; box-sizing:border-box; }
html, body { height: 100%; font-family: Arial, sans-serif; }
body { display: flex; flex-direction: column; min-height: 100vh; }

/* Header */
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #333;
    color: white;
    padding: 1vh 2vw;
    position: relative; /* voor absolute mobiel menu */
}

header h1 { font-size: 2rem; }
#main-header {
    transition: all 0.4s ease;
}

.header-inner {
    display: flex;
    align-items: center;
    gap: 20px;
    transition: all 0.4s ease;
}

/* Afbeelding */
.header-img {
    height: 80px;
    transition: all 0.4s ease;
}

/* Titel */
#main-header h1 {
    transition: all 0.4s ease;
}

/* ===== SHRINK EFFECT ===== */

#main-header.scrolled {
    padding: 1vh 4vw;
}

#main-header.scrolled .header-img {
    height: 60px;
}

#main-header.scrolled h1 {
    font-size: 1.4rem;
}

/* Hamburger */
.hamburger { display: none;}

/* Menu desktop */
nav > ul {
    display: flex; /* horizontaal desktop */
    list-style: none;
    gap: 2vw;
    margin:0;
    padding:0;
}

nav li a,
nav li span {
    color: white;
    text-decoration: none;
    font-weight: bold;
    font-size: 1.2rem;
}

nav li a:hover { text-decoration: underline; }

/* Main en footer */
main {
	flex:1;
    display: flex;
    flex-direction: column;
    align-items: center;   /* 👈 dit centreert horizontaal */
	justify-content: center; /* 👈 verticaal centreren */
    align-items: center;     /* 👈 horizontaal centreren */
}
footer {
    background-color: #333;
    color: white;
    text-align: center;
    padding: 2vh 4vw;
}
.slider {
    position: relative;
	top:5%;
    width: min(40vw, 60vh);
    aspect-ratio: 4 / 3;
    overflow: hidden;
}

.slider-track {
    display: flex;
    height: 100%;
    transition: transform 1s ease-in-out;
}

.slide {
    min-width: 100%;
    height: 100%;
}

.slide img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.submenu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background: #444;
    list-style: none;
    padding: 0;
    min-width: 150px;
    flex-direction: column; /* zekerheid */
}

/* submenu links */
.submenu li a {
    display: block;
    padding: 10px;
    color: white;
    text-decoration: none;
}

.submenu li a:hover {
    background: #555;
}

/* parent relatief positioneren */
.has-submenu {
    position: relative;
    cursor: pointer;
}

/* tonen bij hover */
.has-submenu:hover .submenu {
    display: block;
}